View Javadoc

    1   //========================================================================
    2   //Copyright 2006-2007 Sabre Holdings.
    3   //------------------------------------------------------------------------
    4   //Licensed under the Apache License, Version 2.0 (the "License");
    5   //you may not use this file except in compliance with the License.
    6   //You may obtain a copy of the License at
    7   //http://www.apache.org/licenses/LICENSE-2.0
    8   //Unless required by applicable law or agreed to in writing, software
    9   //distributed under the License is distributed on an "AS IS" BASIS,
    10  //WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    11  //See the License for the specific language governing permissions and
    12  //limitations under the License.
    13  //========================================================================
    14
    15  package org.mortbay.jetty.ant.utils;
    16
    17  public interface ServerProxy
    18  {
    19
    20      /**
    21       * Adds a new web application to this server.
    22       *
    23       * @param webApp a WebApplicationProxy object.
    24       * @param scanIntervalSeconds
    25       */
    26      public void addWebApplication(WebApplicationProxy webApp, int scanIntervalSeconds);
    27
    28      /**
    29       * Starts this server.
    30       */
    31      public void start();
    32
    33      public Object getProxiedObject();
    34
    35  }